std::ranges::empty_view< _Tp >(3cxx)

NAME
std::ranges::empty_view< _Tp > - A view that contains no elements.

SYNOPSIS

Inherits std::ranges::view_interface< empty_view< _Tp > >.

  Public Member Functions

constexpr decltype(auto) back () const requires bidirectional_range< const empty_view< _Tp > > &&common_range< const empty_view< _Tp > >
constexpr decltype(auto) back () requires bidirectional_range< empty_view< _Tp > > &&common_range< empty_view< _Tp > >
constexpr auto data () const noexcept(noexcept(ranges::begin(_M_derived()))) requires range< const empty_view< _Tp > > &&contiguous_iterator< iterator_t< const empty_view< _Tp > >>
constexpr bool empty () const noexcept(noexcept(_S_empty(_M_derived()))) requires forward_range< const empty_view< _Tp > >
constexpr decltype(auto) front () const requires forward_range< const empty_view< _Tp > >
constexpr decltype(auto) front () requires forward_range< empty_view< _Tp > >
constexpr operator bool () const noexcept(noexcept(ranges::empty(_M_derived()))) requires requires
constexpr operator bool () noexcept(noexcept(ranges::empty(_M_derived()))) requires requires
constexpr decltype(auto) operator[] (range_difference_t< _Range > __n)
constexpr decltype(auto) operator[] (range_difference_t< _Range > __n) const
constexpr auto size () const noexcept(noexcept(_S_size(_M_derived()))) requires forward_range< const empty_view< _Tp > > &&sized_sentinel_for< sentinel_t< const empty_view< _Tp > >
constexpr auto size () noexcept(noexcept(_S_size(_M_derived()))) requires forward_range< empty_view< _Tp > > &&sized_sentinel_for< sentinel_t< empty_view< _Tp > >

  Static Public Member Functions

static constexpr _Tp * begin () noexcept
static constexpr _Tp * data () noexcept
static constexpr bool empty () noexcept
static constexpr _Tp * end () noexcept
static constexpr size_t size () noexcept

  Public Attributes

constexpr auto iterator_t< _Derived >
constexpr auto iterator_t< const _Derived >

Detailed Description

  template<typename _Tp>
class std::ranges::empty_view< _Tp >" A view that contains no elements.

Author

Generated automatically by Doxygen for libstdc++ from the source code.